# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: api_key
    category: QSL\Wufoo
    type: text
    orderby: 1000
    value: ''
    translations: [{code: en, option_name: 'API key'}]
    module: QSL\Wufoo
  - name: subdomain
    category: QSL\Wufoo
    type: text
    orderby: 1100
    value: ''
    translations: [{code: en, option_name: 'Subdomain name'}]
    module: QSL\Wufoo
  - name: show_header
    category: QSL\Wufoo
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 1200
    translations: [{code: en, option_name: 'Show form header', option_comment: 'Enable this if you wish a title to be displayed on all the forms'}]
    module: QSL\Wufoo
XLite\Model\LanguageLabel:
  - name: 'Couldn''t connect to Wufoo. Please make sure your API key and Subdomain name have been entered correctly'
    translations: [{code: en, label: 'Couldn''t connect to Wufoo. Please make sure your API key and Subdomain name have been entered correctly'}]
  - name: 'Wufoo instruction'
    translations: [{code: en, label: "To use Wufoo form widgets, complete the steps below:\n<ol style=\"list-style-type: decimal; padding-left: 20px;\">\n<li>Go to the site <a href=\"https://wufoo.com\">https://wufoo.com</a>.</li>\n<li>If you do not yet have a Wufoo account, create one.</li>\n<li>Go to your Wufoo account settings and locate your subdomain name. It is a word found between the \"https://\" and \".wufoo.com\" parts of your Wufoo URL. For example, if your Wufoo URL is \"https://test123.wufoo.com\", your subdomain name is \"test123\".</li>\n<li>Copy and paste your subdomain name into the \"Subdomain name\" field in the module settings on this page.</li>\n<li>Open any form. If you do not yet have forms, create one and open it.</li>\n<li>Click the Share Form button in the bottom right hand corner.</li>\n<li>Go back to the list of forms.</li>\n<li>Click on the “More options\" menu icon (three dots) at the far right of the list entry representing the form you are working on.</li>\n<li>In the menu that opens, select “API information\".</li>\n<li>Copy and paste your API key into the corresponding field in the module settings on this page.</li>\n</ol>\n"}]
